<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(!$statuslogin) exit;
$mod = basename(__FILE__, '.php');
$page->tbJs($mod);
if(isset($_GET['id'])){
	$id=strip_tags(stripslashes($_GET['id']));
	$page->setJudul("Input Kategori Album");
	$nama="";
	if($id>0){
		$page->setJudul("Edit Katgeori Album");
		$query="SELECT * FROM tb_master_kategorijenissurat 
			WHERE id=?";
		$rs=$db->loadAssoc($query,array($id));
		if(isset($rs['id'])){
			$nama=$rs['nama'];
		}
	}
	$datahasil=array("id"=>$id);
	$page->addLoad("kategorijenissurat.edit(".json_encode($datahasil,true).")");
	
	?>
	<div class="box_main_konten">
		<h3>DATA KATEGORI JENIS SURAT</h3>
		<div class="group_form">
			<title>Nama Kategori Jenis Surat</title>
			<div class="col10">
				<input id="nama" value="<?php echo $nama;?>" />
			</div>
		</div>
		<div style="clear: both;"></div>
	</div>
	<div class="box_button_bawah">
		<div id="loader_kategorijenissurat" class="error"></div>
		<span class="btmerah btncancel" onclick="kategorijenissurat.kembali()">Kembali</span>&nbsp;&nbsp;<span onclick="kategorijenissurat.simpan()" class="bthijau btnsave">Simpan</span>
	</div>
	<?php
}else{
	$page->addLoad("kategorijenissurat.load()");
	$page->setJudul("Katgeori Album");
	?>
	<div class="box_button_atas">
		Jumlah baris: <select id="jumlah_hal" class="slkecil" onchange="kategorijenissurat.loade()">
			<option value="30">30</option>
			<option value="50">50</option>
			<option value="100">100</option>
		</select> &nbsp;
		Hal: <select id="hal_ke" class="slkecil" onchange="kategorijenissurat.load()"><option value="1">1</option></select>
		&nbsp;<input placeholder="Default: Nama Kategori Jenis Surat" onkeypress="kategorijenissurat.enter(event)" id="cari" class="in_cari" />
		&nbsp;&nbsp;<span id="btcari" class="btnone btncari" onclick="kategorijenissurat.loade()">Cari</span>
		&nbsp;&nbsp;<span class="btnone btncanggih" onclick="kategorijenissurat.caricanggih()">Cari Detail</span>
	</div>
	<div id="grid_kategorijenissurat"></div>
	<div id="loader_datakategorijenissurat" class="error"></div>
	<div class="box_button_bawah">
		<span onclick="kategorijenissurat.buat(0)" class="bthijau btninput">Buat Kategori Jenis Surat Baru</span>
	</div>
	<div id="btedit" style="display:none;">
		<span class="icon_del" onclick="kategorijenissurat.hapus(#{id})"></span>
		<span class="icon_edit" onclick="kategorijenissurat.buat(#{id})"></span>
	</div>
	<span id="btstatus" class="#(#{status}==1)?'mini_ok':'mini_dis'#" style="display:none;" onclick="kategorijenissurat.setstatus(#{id},##{jumlah_tabel},##{baris_tabel},this)"></span>
	<?php
}
?>
